{ config
, lib
, pkgs
, ...
} @ args: {
  imports =
    let
      modulePath = [ "programs" "zen-browser" ];
      mkFirefoxModule = import ./mkFirefoxModule.nix;
    in
    [
      (mkFirefoxModule {
        inherit modulePath;
        name = "Zen Browser";
        wrappedPackageName = "zen-browser";
        wrappedPkg = pkgs.my.zen-browser;
        visible = true;
        platforms.linux = rec {
          vendorPath = ".zen";
          configPath = "${vendorPath}";
        };
        platforms.darwin = rec {
          vendorPath = "Library/Application Support/Zen";
          configPath = "${vendorPath}";
        };
      })
    ];

  programs.zen-browser = import ./_base.nix args;

  home.sessionVariables = {
    BROWSER = "zen-browser";
    MOZ_USE_XINPUT2 = "1";
    MOZ_ENABLE_WAYLAND = "1";
  };
}
